Standalone on 10.6.8 Crash

Dan Friedman dan at clearvisiontech.com
Sat Dec 10 23:05:10 CET 2016


Richard,

Thanks for the advise.  I agree with you on all counts.  However, the computer I am working with can’t be updated… it’s a older Mac Mini (2004).  All I’ve read says 10.6.8 is the latest OS it can support.

-Dan


> I'd wager that if you look through your Mac's crash logs you'd find 
> reference to a deprecated API.  Apple stopped patching 10.6.x a long 
> time ago.
> 
> It may be tsNet expecting more recent APIs than what's offered on 
> 10.6.8.  You might try running libURL without it.  A couple weeks ago 
> here Panos suggested we can disable tsNet with:
> 
>    dispatch "revUnloadLibrary" to stack "tsNetLibURL"
> 
> But to be honest, a URL call requires an Internet connection, and an 
> unpatched OS is too dangerous to have connected to the Internet.
> 
> The time may be better spent updating the OS than exploring workarounds 
> for Apple's old versions.




More information about the use-livecode mailing list